#![allow(dead_code, mutable_transmutes, non_camel_case_types, non_snake_case, non_upper_case_globals, unused_assignments, unused_mut)]
extern "C" {
    fn printf(_: *const libc::c_char, _: ...) -> libc::c_int;
}
#[no_mangle]
pub extern "C" fn foo(mut a: &mut libc::c_int) {
    *a += 1 as libc::c_int;
}
#[no_mangle]
pub extern "C" fn bar(mut a: &mut libc::c_int) {
    unsafe { printf(b"%i\n\0" as *const u8 as *const libc::c_char, *a); }
}
unsafe fn main_0() -> libc::c_int {
    let mut a: libc::c_int = 42 as libc::c_int;
    foo(&mut a);
    bar(&mut a);
    return 0;
}
pub fn main() {
    unsafe { ::std::process::exit(main_0() as i32) }
}
